// @APIVersion 1.0.0
// @Title beego Test API
// @Description beego has a very cool tools to autogenerate documents for your API
// @Contact astaxie@gmail.com
// @TermsOfServiceUrl http://beego.me/
// @License Apache 2.0
// @LicenseUrl http://www.apache.org/licenses/LICENSE-2.0.html
package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"hongze/hongze_edb_lib/controllers"
	"hongze/hongze_edb_lib/controllers/future_good"
)

func init() {
	ns := beego.NewNamespace("/edbapi",
		beego.NSNamespace("/ths",
			beego.NSInclude(
				&controllers.ThsController{},
			),
		),
		beego.NSNamespace("/pb",
			beego.NSInclude(
				&controllers.PbController{},
			),
		),
		beego.NSNamespace("/pb_finance",
			beego.NSInclude(
				&controllers.PbFinanceController{},
			),
		),
		beego.NSNamespace("/wind",
			beego.NSInclude(
				&controllers.WindController{},
			),
		),
		beego.NSNamespace("/lz",
			beego.NSInclude(
				&controllers.LzController{},
			),
		),
		beego.NSNamespace("/lt",
			beego.NSInclude(
				&controllers.LtController{},
			),
		),
		beego.NSNamespace("/smm",
			beego.NSInclude(
				&controllers.SmmController{},
			),
		),
		beego.NSNamespace("/mysteel",
			beego.NSInclude(
				&controllers.MySteelController{},
			),
		),
		beego.NSNamespace("/manual",
			beego.NSInclude(
				&controllers.ManualController{},
			),
		),
		beego.NSNamespace("/calculate",
			beego.NSInclude(
				&controllers.CalculateController{},
			),
		),
		beego.NSNamespace("/zz",
			beego.NSInclude(
				&controllers.ZzController{},
			),
		),
		beego.NSNamespace("/dl",
			beego.NSInclude(
				&controllers.DlController{},
			),
		),
		beego.NSNamespace("/sh",
			beego.NSInclude(
				&controllers.ShController{},
			),
		),
		beego.NSNamespace("/cffex",
			beego.NSInclude(
				&controllers.CffexController{},
			),
		),
		beego.NSNamespace("/shfe",
			beego.NSInclude(
				&controllers.ShfeController{},
			),
		),
		beego.NSNamespace("/gie",
			beego.NSInclude(
				&controllers.GieController{},
			),
		),
		beego.NSNamespace("/coal",
			beego.NSInclude(
				&controllers.CoalController{},
			),
		),
		beego.NSNamespace("/python",
			beego.NSInclude(
				&controllers.PythonController{},
			),
		),
		beego.NSNamespace("/google_travel",
			beego.NSInclude(
				&controllers.GoogleTravelController{},
			),
		),
		beego.NSNamespace("/mysteel_chemical",
			beego.NSInclude(
				&controllers.MySteelChemicalController{},
			),
		),
		beego.NSNamespace("/predict_calculate",
			beego.NSInclude(
				&controllers.PredictCalculateController{},
			),
		),
		beego.NSNamespace("/eia_steo",
			beego.NSInclude(
				&controllers.EiaSteoController{},
			),
		),
		beego.NSNamespace("/predict",
			beego.NSInclude(
				&controllers.PredictController{},
			),
		),
		beego.NSNamespace("/future_good",
			beego.NSInclude(
				&future_good.FutureGoodEdbInfoController{},
			),
		),
		beego.NSNamespace("/sci",
			beego.NSInclude(
				&controllers.SciController{},
			),
		),
		beego.NSNamespace("/com_trade",
			beego.NSInclude(
				&controllers.ComTradeController{},
			),
		),
		beego.NSNamespace("/baiinfo",
			beego.NSInclude(
				&controllers.BaiinfoController{},
			),
		),
		beego.NSNamespace("/stock_plant",
			beego.NSInclude(
				&controllers.StockPlantController{},
			),
		),
	)
	beego.AddNamespace(ns)
}
